# Delete Timeoff requests

> Source: https://truto.one/docs/api-reference/unified-hris-api/timeoffrequests/delete/

`DELETE /unified/hris/timeoff_requests/{id}`

Resource: **TimeoffRequests** · API: **Unified HRIS API**

## Supported integrations

Factorial, HiBob, PeopleHR, Personio

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`employee`** _(object)_
  This represents the employee requesting time off.
- **`start_time`** _(string)_
  This represents the start time of the time off request.
- **`end_time`** _(string)_
  This represents the end time of the time off request.

## Response body

- **`id`** _(string, required)_
  The unique identifier for timeoffpolicies
- **`description`** _(string)_
  This represents the description of the time off request.
- **`reason`** _(object)_
  This represents the reason of the time off request.
  - **`id`** _(string, required)_
    The unique identifier for timeoff_reason
  - **`name`** _(string)_
    This represents the name of the timeoff_reason.
- **`employee`** _(object)_
  This represents the employee requesting time off.
  - **`id`** _(string, required)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee.
- **`approver`** _(string)_
  This represents the approver of the time off request.
- **`status`** _(string)_
  This represents the status of the time off request.
- **`employee_note`** _(string)_
  This represents the employee note for the time off request.
- **`units`** _(string)_
  This represents the units of the time off request.
  Allowed: `hours`, `days`, `weeks`, `months`
- **`amount`** _(number)_
  This represents the amount of the time off request.
- **`timeoff_type`** _(string)_
  This represents the time off type of the time off request.
- **`request_policy_type`** _(string)_
  This represents the request type of the time off request.
- **`start_time`** _(string)_
  This represents the start time of the time off request.
- **`end_time`** _(string)_
  This represents the end time of the time off request.
- **`session`** _(string)_
  This represents the session of the time off request.
  Allowed: `full`, `morning`, `afternoon`
- **`created_at`** _(string)_
  This represents the date when the timeoffpolicies was created
- **`updated_at`** _(string)_
  This represents the date when the timeoffpolicies was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/hris/timeoff_requests/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'hris',
  'timeoffrequests',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "hris",
        "timeoffrequests",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
